import java.util.*;

public class MultiStatement extends Statement {
	ArrayList m_statements = new ArrayList();
	
	public MultiStatement( ArrayList statements ) {
		if( statements.size() < 2 ) {
			System.err.println("Warning: creating MultiStatement with less than two statements.");
		}
		m_statements.addAll(statements);
	}
	
	public String toString() {
		StringBuffer rc = new StringBuffer();
		Iterator iter = m_statements.iterator();
		while( iter.hasNext() ) {
			rc.append( iter.next().toString() );
		}
		return rc.toString();
	}
	//{{DECLARE_CONTROLS
	//}}
}