public class ParseException extends java.lang.Exception {
	
	private Exception m_wrapped = null;
	private int m_nLineNumber = 0;
	private String m_message = "unknown reason";
	
	public ParseException( Exception wrapped, int lineNumber ) {
		m_wrapped = wrapped;
		m_nLineNumber = lineNumber;
	}
	
	public void setMessage( String msg ) {
		m_message = msg;
	}
	
	public Exception wrappedException() {
		return m_wrapped;
	}
	
	public String toString() {
		return "Error on line "+m_nLineNumber+": "+m_message;
	}
}